BlocksApi - interface

export
interface

  BlocksApiInterface

### Hierarchy

- BlocksApiInterface

### Implemented by

- BlocksApi

## Index

### Methods

- getBlockByBurnBlockHash
- getBlockByBurnBlockHashRaw
- getBlockByBurnBlockHeight
- getBlockByBurnBlockHeightRaw
- getBlockByHash
- getBlockByHashRaw
- getBlockByHeight
- getBlockByHeightRaw
- getBlockList
- getBlockListRaw

## Methods

### getBlockByBurnBlockHash

- getBlockByBurnBlockHash(requestParameters: GetBlockByBurnBlockHashRequest, initOverrides?: RequestInit): Promise< Block >

- - Defined in src/generated/apis/BlocksApi.ts:68

  Get a specific block by burnchain block hash Get block

  #### Parameters

  - ##### requestParameters: GetBlockByBurnBlockHashRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< Block >

### getBlockByBurnBlockHashRaw

- getBlockByBurnBlockHashRaw(requestParameters: GetBlockByBurnBlockHashRequest, initOverrides?: RequestInit): Promise< ApiResponse < Block >>

- - Defined in src/generated/apis/BlocksApi.ts:62

  Get a specific block by burnchain block hash

  summary

    Get block

  throws

    {RequiredError}

  memberof

    BlocksApiInterface

  #### Parameters

  - ##### requestParameters: GetBlockByBurnBlockHashRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < Block >>

### getBlockByBurnBlockHeight

- getBlockByBurnBlockHeight(requestParameters: GetBlockByBurnBlockHeightRequest, initOverrides?: RequestInit): Promise< Block >

- - Defined in src/generated/apis/BlocksApi.ts:84

  Get a specific block by burn chain height Get block

  #### Parameters

  - ##### requestParameters: GetBlockByBurnBlockHeightRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< Block >

### getBlockByBurnBlockHeightRaw

- getBlockByBurnBlockHeightRaw(requestParameters: GetBlockByBurnBlockHeightRequest, initOverrides?: RequestInit): Promise< ApiResponse < Block >>

- - Defined in src/generated/apis/BlocksApi.ts:78

  Get a specific block by burn chain height

  summary

    Get block

  throws

    {RequiredError}

  memberof

    BlocksApiInterface

  #### Parameters

  - ##### requestParameters: GetBlockByBurnBlockHeightRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < Block >>

### getBlockByHash

- getBlockByHash(requestParameters: GetBlockByHashRequest, initOverrides?: RequestInit): Promise< Block >

- - Defined in src/generated/apis/BlocksApi.ts:100

  Get a specific block by hash Get block

  #### Parameters

  - ##### requestParameters: GetBlockByHashRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< Block >

### getBlockByHashRaw

- getBlockByHashRaw(requestParameters: GetBlockByHashRequest, initOverrides?: RequestInit): Promise< ApiResponse < Block >>

- - Defined in src/generated/apis/BlocksApi.ts:94

  Get a specific block by hash

  summary

    Get block

  throws

    {RequiredError}

  memberof

    BlocksApiInterface

  #### Parameters

  - ##### requestParameters: GetBlockByHashRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < Block >>

### getBlockByHeight

- getBlockByHeight(requestParameters: GetBlockByHeightRequest, initOverrides?: RequestInit): Promise< Block >

- - Defined in src/generated/apis/BlocksApi.ts:116

  Get a specific block by height Get block

  #### Parameters

  - ##### requestParameters: GetBlockByHeightRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< Block >

### getBlockByHeightRaw

- getBlockByHeightRaw(requestParameters: GetBlockByHeightRequest, initOverrides?: RequestInit): Promise< ApiResponse < Block >>

- - Defined in src/generated/apis/BlocksApi.ts:110

  Get a specific block by height

  summary

    Get block

  throws

    {RequiredError}

  memberof

    BlocksApiInterface

  #### Parameters

  - ##### requestParameters: GetBlockByHeightRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < Block >>

### getBlockList

- getBlockList(requestParameters: GetBlockListRequest, initOverrides?: RequestInit): Promise< BlockListResponse >

- - Defined in src/generated/apis/BlocksApi.ts:133

  Get all recently mined blocks Get recent blocks

  #### Parameters

  - ##### requestParameters: GetBlockListRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< BlockListResponse >

### getBlockListRaw

- getBlockListRaw(requestParameters: GetBlockListRequest, initOverrides?: RequestInit): Promise< ApiResponse < BlockListResponse >>

- - Defined in src/generated/apis/BlocksApi.ts:127

  Get all recently mined blocks

  summary

    Get recent blocks

  throws

    {RequiredError}

  memberof

    BlocksApiInterface

  #### Parameters

  - ##### requestParameters: GetBlockListRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < BlockListResponse >>

Generated using TypeDoc